/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.junit.rules.ftpserver.usermanager;

import org.apache.ftpserver.ftplet.UserManager;
import org.apache.ftpserver.usermanager.Md5PasswordEncryptor;
import org.apache.ftpserver.usermanager.PasswordEncryptor;
import org.apache.ftpserver.usermanager.UserManagerFactory;
import org.ow2.petals.junit.rules.ftpserver.FTPServer;

/**
 * Factory for a <code>UserManager</code> implementation for the JUnit {@link Rule}: {@link FTPServer}.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class BasicUserManagerFactory implements UserManagerFactory {

    /**
     * Name of the admin user
     */
    private final String adminName;

    /**
     * Password encryptor
     */
    private final PasswordEncryptor passwordEncryptor = new Md5PasswordEncryptor();

    public BasicUserManagerFactory(final String adminName) {
        this.adminName = adminName;
    }

    @Override
    public UserManager createUserManager() {
        return new BasicUserManager(this.adminName, this.passwordEncryptor);
    }

}
