/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.junit.rules.webserver.servlet;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * An HTTP servlet to get plain text
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class TextServlet extends AbstractHttpServlet {

    private static final long serialVersionUID = 2897316017106333376L;

    @Override
    public String getPath() {
        return "/plain-text";
    }

    @Override
    protected void doGet(final HttpServletRequest req, final HttpServletResponse resp) throws ServletException,
            IOException {

        this.setsHeaderAndDateHeaderInResponse(resp);
        resp.setContentType("text/plain");

        this.createOutputStream(resp);
    }

    private void createOutputStream(final HttpServletResponse resp) throws IOException, ServletException {
        final OutputStream output = resp.getOutputStream();
        try {
            output.write("A plain text".getBytes());
        } finally {
            output.close();
        }
    }

}
